package com.bonus.material.warehouse.mapper;

import java.util.List;
import com.bonus.material.warehouse.domain.WhHouseInfo;

/**
 * 仓库管理Mapper接口
 * 
 * @author xsheng
 * @date 2024-09-27
 */
public interface WhHouseInfoMapper 
{
    /**
     * 查询仓库管理
     * 
     * @param houseId 仓库管理主键
     * @return 仓库管理
     */
    WhHouseInfo selectWhHouseInfoByHouseId(Long houseId);

    /**
     * 查询仓库管理列表
     * 
     * @param whHouseInfo 仓库管理
     * @return 仓库管理集合
     */
    List<WhHouseInfo> selectWhHouseInfoList(WhHouseInfo whHouseInfo);

    /**
     * 新增仓库管理
     * 
     * @param whHouseInfo 仓库管理
     * @return 结果
     */
    int insertWhHouseInfo(WhHouseInfo whHouseInfo);

    /**
     * 修改仓库管理
     * 
     * @param whHouseInfo 仓库管理
     * @return 结果
     */
    int updateWhHouseInfo(WhHouseInfo whHouseInfo);

    /**
     * 删除仓库管理
     * 
     * @param houseId 仓库管理主键
     * @return 结果
     */
    int deleteWhHouseInfoByHouseId(Long houseId);

    /**
     * 批量删除仓库管理
     * 
     * @param houseIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteWhHouseInfoByHouseIds(Long[] houseIds);
}
